Linux workstation

Upstream software project

libnet-libidn2-perl

Perl bindings for GNU Libidn2

About libnet-libidn2-perl

Perl bindings for GNU Libidn2

This project links 9 native package records across 7 recorded operating-system releases. Compare the retained versions and architectures below, then open the package for your own release.

These are catalog observations, not a guarantee of installation, compatibility, or upstream support.

Project pictures and package coverage

Debian 12 (Bookworm): 1 package records; Debian 13 (Trixie): 1 package records; Fedora 43: 2 package records; Fedora 44: 2 package records; openSUSE Leap 15.6: 1 package records; openSUSE Leap 16.0: 1 package records; openSUSE Tumbleweed: 1 package records. Catalog coverage diagram, not an application screenshot.libnet-libidn2-perl: recorded package coverageDebian 12 (Bookworm)1 recordsDebian 13 (Trixie)1 recordsFedora 432 recordsFedora 442 recordsopenSUSE Leap 15.61 recordsopenSUSE Leap 16.01 recordsopenSUSE Tumbleweed1 records
OpenFactory diagram of linked package records. It is not an application screenshot.

Project identity

Project
libnet-libidn2-perl
Publisher
Not authoritatively mapped
Native package records
9
Operating systems
debian-12, debian-13, fedora-43, fedora-44, opensuse-leap-15-6, opensuse-leap-16-0, opensuse-tumbleweed
License expression
Artistic-1.0 OR GPL-1.0-or-later
Metadata completeness
100/100 (not a software quality rating)
Source repository
Not reported

Source-reported description

The fullest retained description is shown with its source. Distribution packaging descriptions may include downstream details.

This Perl module provides bindings for GNU Libidn2, a C library for handling internationalized domain names according to IDNA 2008 (RFC 5890, RFC 5891, RFC 5892, RFC 5893).

Description source

Packages by operating system

Compare recorded versions, then open a package for dependency, file, checksum, and repository evidence. Version strings are distribution-specific, not a ranking of newer software.

Debian 12 (Bookworm)

  1. libnet-libidn2-perl

    Debian 12 (Bookworm) / perl / source libnet-libidn2-perl

    1.01-2+b1

    Perl bindings for GNU Libidn2

    amd64arm64bookworm

Debian 13 (Trixie)

  1. libnet-libidn2-perl

    Debian 13 (Trixie) / perl / source libnet-libidn2-perl

    1.02-1+b3

    Perl bindings for GNU Libidn2

    amd64arm64trixie

Fedora 43

  1. perl-Net-LibIDN2

    Fedora 43 / Unspecified / source perl-Net-LibIDN2

    1.02-11.fc43

    Perl binding for GNU Libidn2

    aarch64x86_6443
  2. perl-Net-LibIDN2-tests

    Fedora 43 / Unspecified / source perl-Net-LibIDN2

    1.02-11.fc43

    Tests for perl-Net-LibIDN2

    aarch64x86_6443

Fedora 44

  1. perl-Net-LibIDN2

    Fedora 44 / Unspecified / source perl-Net-LibIDN2

    1.02-12.fc44

    Perl binding for GNU Libidn2

    aarch64x86_6444
  2. perl-Net-LibIDN2-tests

    Fedora 44 / Unspecified / source perl-Net-LibIDN2

    1.02-12.fc44

    Tests for perl-Net-LibIDN2

    aarch64x86_6444

openSUSE Leap 15.6

  1. perl-Net-LibIDN2

    openSUSE Leap 15.6 / Development/Libraries/Perl / source perl-Net-LibIDN2

    1.02-bp156.1.3

    Perl bindings for GNU Libidn2

    aarch64ppc64les390xx86_64leap-15.6

openSUSE Leap 16.0

  1. perl-Net-LibIDN2

    openSUSE Leap 16.0 / Development/Libraries/Perl / source perl-Net-LibIDN2

    1.02-bp160.1.13

    Perl bindings for GNU Libidn2

    aarch64ppc64les390xx86_64leap-16.0

openSUSE Tumbleweed

  1. perl-Net-LibIDN2

    openSUSE Tumbleweed / Development/Libraries/Perl / source perl-Net-LibIDN2

    1.02-1.14

    Perl bindings for GNU Libidn2

    x86_64tumbleweed

Project resources and further reading

Mapping provenance

Only source-backed identity signals create public cross-OS links. A reviewer can later approve or dispute an inferred relationship without rewriting native package history.

No field-level source record is published yet.